<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: student Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df997ef5cbe81af8266600b381d65502.html">student</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">student Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:bunny_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bunny_8c.html">bunny.c</a></td></tr>
<tr class="memdesc:bunny_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains model of Standford bunny in static arrays. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:bunny_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bunny_8h.html">bunny.h</a> <a href="bunny_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:bunny_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains model of Standford bunny in static arrays. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:camera_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="camera_8c.html">camera.c</a></td></tr>
<tr class="memdesc:camera_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains implementation of orbit camera manipulator. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:camera_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="camera_8h.html">camera.h</a> <a href="camera_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:camera_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains function declarations for orbit camera manipulator. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:cpu_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cpu_8c.html">cpu.c</a></td></tr>
<tr class="memdesc:cpu_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains implementation of API for controlling software <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a>. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:cpu_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cpu_8h.html">cpu.h</a> <a href="cpu_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:cpu_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains declarations of API for controling of software <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a>. API contains: functions for <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> buffer management functions for Vertex Pullers management functions for Shader Programs management functions for drawing, clearing framebuffer and setting <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> state. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:student_2fwd_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="student_2fwd_8h.html">fwd.h</a> <a href="student_2fwd_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:student_2fwd_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains forward declarations and constants. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:globals_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="globals_8c.html">globals.c</a></td></tr>
<tr class="memdesc:globals_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains global variables. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:globals_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="globals_8h.html">globals.h</a> <a href="globals_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:globals_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains global variables. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gpu_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gpu_8c.html">gpu.c</a></td></tr>
<tr class="memdesc:gpu_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains implementation of software <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> HW. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gpu_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gpu_8h.html">gpu.h</a> <a href="gpu_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:gpu_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains structures and function declarations of <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> HW. Main structure is <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> that holds all components of the <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a>. <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> is composed of list of buffers, list of vertex pullers and list of programs. <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> also contains framebuffer, active program and vertex puller and states. <a class="el" href="structGPU.html" title="This struct represents GPU data. ">GPU</a> executes commands that are stored in CommandQueue. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:linearAlgebra_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="linearAlgebra_8c.html">linearAlgebra.c</a></td></tr>
<tr class="memdesc:linearAlgebra_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">this file contains implementation of useful linear algebra operations. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:linearAlgebra_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="linearAlgebra_8h.html">linearAlgebra.h</a> <a href="linearAlgebra_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:linearAlgebra_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file contains structures and function declarations useful for linear algebra. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
